package adminkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqUpdateRequest struct {
	ID                 uint               `json:"-" param:"id" example:"1"`
	KindBoxType        entity.KindBoxType `json:"kind_box_type" example:"cylindrical"`
	CountRequested     uint               `json:"count_requested" example:"5"`
	CountAccepted      uint               `json:"count_accepted" example:"3"`
	Description        string             `json:"description" example:"description"`
	DeliverReferTimeID uint               `json:"deliver_refer_time_id" example:"1"`
	DeliverReferDate   time.Time          `json:"deliver_refer_date" example:"2025-01-02T15:04:05Z"`
	DeliverAddressID   uint               `json:"deliver_address_id" example:"1"`
	SenderAgentID      uint               `json:"sender_agent_id" example:"1"`
}

type KindBoxReqUpdateResponse struct {
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
