package adminkindboxreqservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/admin/kind_box_req"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Get(ctx context.Context, req param.GetKindBoxReqRequest) (param.GetKindBoxReqResponse, error) {
	const op = "adminkindboxreqservice.Get"
	if fieldErrors, vErr := s.vld.ValidateGetRequest(ctx, req); vErr != nil {
		return param.GetKindBoxReqResponse{FieldErrors: fieldErrors}, richerror.New(op).WithErr(vErr)
	}
	kindBoxReq, err := s.repo.GetByID(ctx, req.KindBoxID)
	if err != nil {
		return param.GetKindBoxReqResponse{}, richerror.New(op).WithErr(err)
	}

	return param.GetKindBoxReqResponse{
		KindBoxReq: kindBoxReq,
	}, nil
}
